cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/booking" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"order": {
"account_id": "ACCOUNT_ID",
"name": "Meeting room booking",
"lines": [
{
"item_id": "ITEM_ID",
"item_order_quantity": 1
}
]
}
}'from exsited import build_client
client = build_client()
response = client.bookings.create_booking(
{
"order": {
"account_id": "ACCOUNT_ID",
"name": "Meeting room booking",
"lines": [{"item_id": "ITEM_ID", "item_order_quantity": 1}],
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.bookings.createBooking({
order: {
account_id: 'ACCOUNT_ID',
name: 'Meeting room booking',
lines: [{item_id: 'ITEM_ID', item_order_quantity: 1}],
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->bookings->createBooking([
'order' => [
'account_id' => 'ACCOUNT_ID',
'name' => 'Meeting room booking',
'lines' => [['item_id' => 'ITEM_ID', 'item_order_quantity' => 1]],
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.bookings().createBooking(
Map.of(
"order", Map.of(
"account_id", "ACCOUNT_ID",
"name", "Meeting room booking",
"lines", List.of(Map.of("item_id", "ITEM_ID", "item_order_quantity", 1)))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Bookings.CreateBookingAsync(new Dictionary<string, object?>
{
["order"] = new Dictionary<string, object?>
{
["account_id"] = "ACCOUNT_ID",
["name"] = "Meeting room booking",
["lines"] = new List<object?>
{
new Dictionary<string, object?>
{
["item_id"] = "ITEM_ID",
["item_order_quantity"] = 1,
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.bookings.createBooking({
'order': {
'account_id': 'ACCOUNT_ID',
'name': 'Meeting room booking',
'lines': [
{'item_id': 'ITEM_ID', 'item_order_quantity': 1},
],
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Bookings().CreateBooking(context.Background(), map[string]any{
"order": map[string]any{
"account_id": "ACCOUNT_ID",
"name": "Meeting room booking",
"lines": []any{
map[string]any{
"item_id": "ITEM_ID",
"item_order_quantity": 1,
},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Bookings
Create a booking
Creates a booking and returns it under booking.
POST
/
booking
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/booking" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"order": {
"account_id": "ACCOUNT_ID",
"name": "Meeting room booking",
"lines": [
{
"item_id": "ITEM_ID",
"item_order_quantity": 1
}
]
}
}'from exsited import build_client
client = build_client()
response = client.bookings.create_booking(
{
"order": {
"account_id": "ACCOUNT_ID",
"name": "Meeting room booking",
"lines": [{"item_id": "ITEM_ID", "item_order_quantity": 1}],
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.bookings.createBooking({
order: {
account_id: 'ACCOUNT_ID',
name: 'Meeting room booking',
lines: [{item_id: 'ITEM_ID', item_order_quantity: 1}],
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->bookings->createBooking([
'order' => [
'account_id' => 'ACCOUNT_ID',
'name' => 'Meeting room booking',
'lines' => [['item_id' => 'ITEM_ID', 'item_order_quantity' => 1]],
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.bookings().createBooking(
Map.of(
"order", Map.of(
"account_id", "ACCOUNT_ID",
"name", "Meeting room booking",
"lines", List.of(Map.of("item_id", "ITEM_ID", "item_order_quantity", 1)))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Bookings.CreateBookingAsync(new Dictionary<string, object?>
{
["order"] = new Dictionary<string, object?>
{
["account_id"] = "ACCOUNT_ID",
["name"] = "Meeting room booking",
["lines"] = new List<object?>
{
new Dictionary<string, object?>
{
["item_id"] = "ITEM_ID",
["item_order_quantity"] = 1,
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.bookings.createBooking({
'order': {
'account_id': 'ACCOUNT_ID',
'name': 'Meeting room booking',
'lines': [
{'item_id': 'ITEM_ID', 'item_order_quantity': 1},
],
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Bookings().CreateBooking(context.Background(), map[string]any{
"order": map[string]any{
"account_id": "ACCOUNT_ID",
"name": "Meeting room booking",
"lines": []any{
map[string]any{
"item_id": "ITEM_ID",
"item_order_quantity": 1,
},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the same body as creating an order, under
order: the account_id, an optional name and the lines. Each line needs a labour and its booking times. The new booking comes back under booking.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.